<template>
  <v-card class="step">
    <v-container fluid>
      <v-row align="center">
        <v-col cols="6" class="text-h5">The rhythm of the P waves and QRS complexes are independent of each other. The arrows above
          point at the R waves, the ones below to the P waves. Each has its own rhythm. Some P waves are hidden by the
          QRS complex
        </v-col>
        <v-col cols="1">
          <v-switch v-model="AVBlock3Complete"></v-switch>
        </v-col>
        <v-col cols="1">
          <v-icon>
            $AVBlock3Complete
          </v-icon>
        </v-col>
      </v-row>
      <v-row>
        <v-col cols="6">
          <v-row align="center">
            <v-col cols="4" class="text-h5">
              QRS interval in mm?
            </v-col>
            <v-col cols="3">
              <v-slider
                class="pt-16 mx-5"
                :value="QRSinterval"
                step="1"
                max="15"
                min="1"
                thumb-label="always"
                ticks
                :thumb-size="40"
                @change="setQRSinterval"
              ></v-slider>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $BBB
              </v-icon>
            </v-col>
          </v-row>

          <v-row align="center">
            <v-col cols="6" class="text-h5">Look for this specific deformed QRS complex in V1, V2</v-col>
            <v-col cols="1">
              <v-switch v-model="RightBBB"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $RightBBB
              </v-icon>
            </v-col>
          </v-row>
          <v-row align="center">
            <v-col cols="6" class="text-h5">Look for this specific deformed QRS complex in V5, V6</v-col>
            <v-col cols="1">
              <v-switch v-model="LeftBBB"></v-switch>
            </v-col>
            <v-col cols="1">
              <v-icon>
                $LeftBBB
              </v-icon>
            </v-col>
          </v-row>
        </v-col>
        <v-col cols="6" class="mt-8">
          <v-alert class="text-h6" border="left" color="pink" dark v-for="item in stepConclusions('rhythmV')" :key="item.diagnosis">
            {{ item.motivation + ': '}} <span class="font-weight-bold">{{item.diagnosis}}</span>
          </v-alert>
        </v-col>
      </v-row>
    </v-container>
  </v-card>
</template>

<script>
import { mapGetters, mapState } from 'vuex';

export default {
  name: 'RhythmV',
  computed: {
    ...mapState([
      'QRSinterval', 'AVBlock3Complete', 'BBB', 'RightBBB', 'LeftBBB',
    ]),
    ...mapGetters([
      'stepConclusions',
    ]),
    AVBlock3Complete: {
      get() {
        return this.$store.state.AVBlock3Complete;
      },
      set(value) {
        this.$store.commit('setAVBlock3Complete', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    BBB: {
      get() {
        return this.$store.state.BBB;
      },
      set(value) {
        this.$store.commit('setBBB', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    RightBBB: {
      get() {
        return this.$store.state.RightBBB;
      },
      set(value) {
        this.$store.commit('setRightBBB', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
    LeftBBB: {
      get() {
        return this.$store.state.LeftBBB;
      },
      set(value) {
        this.$store.commit('setLeftBBB', value);
        this.$store.dispatch('setGlobalConclusions');
      },
    },
  },
  methods: {
    setQRSinterval(QRSinterval) {
      this.$store.commit('setQRSinterval', QRSinterval);
      this.$store.dispatch('setQRStime');
      this.$store.dispatch('setGlobalConclusions');
    },
  },
};
</script>

<style scoped>

</style>
